8.11.4. Creating an immutability policy by using the Red Hat Quay API


To protect image tags from overwrite or deletion, you can create an immutability policy for an organization or a repository in {product-title} by using the API. Send a POST request with your bearer token and a JSON body that includes the tag pattern and match rule.

Prerequisites

  • You have created an OAuth access token.
  • You have set FEATURE_IMMUTABLE_TAGS to True in your config.yaml file.

Procedure

  • Create an immutability policy for an organization by using the POST /api/v1/organization/{orgname}/immutabilitypolicy/ endpoint. For example:

    $ curl -X POST -H "Authorization: Bearer <access_token>" -H "Content-Type: application/json" -d '{"tagPattern": ".*", "tagPatternMatches": true}' http://<quay-server.example.com>/api/v1/organization/<organization_name>/immutabilitypolicy/
  • Create an immutability policy for an organization repository by using the POST /api/v1/repository/{repository}/immutabilitypolicy/ endpoint. For example:

    $ curl -X POST -H "Authorization: Bearer <access_token>" -H "Content-Type: application/json" -d '{"tagPattern": ".*", "tagPatternMatches": true}' http://<quay-server.example.com>/api/v1/repository/<namespace>/<repository_name>/immutabilitypolicy/

    Example output

    {"uuid": "ce2bdcc0-ced2-4a1a-ac36-78a9c1bed8c7"}

Red Hat logoGithubredditYoutubeTwitter

자세한 정보

평가판, 구매 및 판매

커뮤니티

Red Hat 소개

Red Hat은 기업이 핵심 데이터 센터에서 네트워크 에지에 이르기까지 플랫폼과 환경 전반에서 더 쉽게 작업할 수 있도록 강화된 솔루션을 제공합니다.

보다 포괄적 수용을 위한 오픈 소스 용어 교체

Red Hat은 코드, 문서, 웹 속성에서 문제가 있는 언어를 교체하기 위해 최선을 다하고 있습니다. 자세한 내용은 다음을 참조하세요.Red Hat 블로그.

Red Hat 문서 정보

Legal Notice

Theme

© 2026 Red Hat
맨 위로 이동